#include <windows.h>

long FAR PASCAL WndProc ( HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam )
{
      HDC         hdc;
      PAINTSTRUCT ps;
      RECT        rect;

      switch( msg )
	     {
         case WM_PAINT:          //   "Hello, World !"
              hdc = BeginPaint( hwnd, &ps );
              GetClientRect( hwnd , &rect );
              DrawText( hdc, "Hello, World !", -1, &rect,
                        DT_SINGLELINE | DT_CENTER | DT_VCENTER );
              EndPaint( hwnd, &ps);
              return 0;
         case WM_LBUTTONDOWN:    //       "*"
              hdc = GetDC( hwnd );
              TextOut( hdc, LOWORD( lParam ), HIWORD( lParam ), "*", 1);
              ReleaseDC( hwnd, hdc );
              break;
         case WM_DESTROY:        //  
              PostQuitMessage(0);
              break;
         default:         //      switch,   Windows
              return DefWindowProc (  hwnd, msg, wParam, lParam);
		 }
      return NULL;
} //   


int PASCAL WinMain ( HANDLE hInstance, HANDLE hPrevInst, LPSTR lpszCmdParam, int nCmdShow )
{

static char szAppName[] = "WinHel";
HWND hwnd;
MSG msg;
WNDCLASS wcn;

if(!hPrevInst)
 {
  wcn.style         = CS_HREDRAW | CS_VREDRAW;        
  wcn.lpfnWndProc   = WndProc;
  wcn.cbClsExtra    = 0;
  wcn.cbWndExtra    = 0;
  wcn.hInstance     = hInstance;
  wcn.hIcon          = LoadIcon(NULL, IDI_APPLICATION);
  wcn.hCursor       = LoadCursor(NULL, IDC_ARROW);
  wcn.hbrBackground = GetStockObject(WHITE_BRUSH);
  wcn.lpszMenuName  = NULL;
  wcn.lpszClassName = szAppName;
  RegisterClass ( &wcn );
 }

 hwnd = CreateWindow(            //  
              szAppName,"My First Window",
              WS_OVERLAPPEDWINDOW,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,
              NULL,NULL,hInstance,NULL);

 ShowWindow( hwnd , nCmdShow );  //    
 UpdateWindow( hwnd );           //      

 while( GetMessage( &msg, NULL, 0, 0 )) //   
       { 
       TranslateMessage( &msg );
       DispatchMessage( &msg );
       }
    return msg.wParam;
} //    WinMain()


